<template>
  <div>
    <h2 id="page-heading" data-cy="Fisiometria1Heading">
      <span v-text="$t('gatewayApp.manillaFisiometria1.home.title')" id="fisiometria-1-heading">Fisiometria 1 S</span>
      <div class="d-flex justify-content-end">
        <button class="btn btn-info mr-2" v-on:click="handleSyncList" :disabled="isFetching">
          <font-awesome-icon icon="sync" :spin="isFetching"></font-awesome-icon>
          <span v-text="$t('gatewayApp.manillaFisiometria1.home.refreshListLabel')">Refresh List</span>
        </button>
        <router-link :to="{ name: 'Fisiometria1Create' }" custom v-slot="{ navigate }">
          <button
            @click="navigate"
            id="jh-create-entity"
            data-cy="entityCreateButton"
            class="btn btn-primary jh-create-entity create-fisiometria-1"
          >
            <font-awesome-icon icon="plus"></font-awesome-icon>
            <span v-text="$t('gatewayApp.manillaFisiometria1.home.createLabel')"> Create a new Fisiometria 1 </span>
          </button>
        </router-link>
      </div>
    </h2>
    <br />
    <div class="alert alert-warning" v-if="!isFetching && fisiometria1s && fisiometria1s.length === 0">
      <span v-text="$t('gatewayApp.manillaFisiometria1.home.notFound')">No fisiometria1s found</span>
    </div>
    <div class="table-responsive" v-if="fisiometria1s && fisiometria1s.length > 0">
      <table class="table table-striped" aria-describedby="fisiometria1s">
        <thead>
          <tr>
            <th scope="row" v-on:click="changeOrder('id')">
              <span v-text="$t('global.field.id')">ID</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'id'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('ritmoCardiaco')">
              <span v-text="$t('gatewayApp.manillaFisiometria1.ritmoCardiaco')">Ritmo Cardiaco</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'ritmoCardiaco'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('ritmoRespiratorio')">
              <span v-text="$t('gatewayApp.manillaFisiometria1.ritmoRespiratorio')">Ritmo Respiratorio</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'ritmoRespiratorio'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('oximetria')">
              <span v-text="$t('gatewayApp.manillaFisiometria1.oximetria')">Oximetria</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'oximetria'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('presionArterialSistolica')">
              <span v-text="$t('gatewayApp.manillaFisiometria1.presionArterialSistolica')">Presion Arterial Sistolica</span>
              <jhi-sort-indicator
                :current-order="propOrder"
                :reverse="reverse"
                :field-name="'presionArterialSistolica'"
              ></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('presionArterialDiastolica')">
              <span v-text="$t('gatewayApp.manillaFisiometria1.presionArterialDiastolica')">Presion Arterial Diastolica</span>
              <jhi-sort-indicator
                :current-order="propOrder"
                :reverse="reverse"
                :field-name="'presionArterialDiastolica'"
              ></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('temperatura')">
              <span v-text="$t('gatewayApp.manillaFisiometria1.temperatura')">Temperatura</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'temperatura'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('fechaRegistro')">
              <span v-text="$t('gatewayApp.manillaFisiometria1.fechaRegistro')">Fecha Registro</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'fechaRegistro'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('fechaToma')">
              <span v-text="$t('gatewayApp.manillaFisiometria1.fechaToma')">Fecha Toma</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'fechaToma'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('user.login')">
              <span v-text="$t('gatewayApp.manillaFisiometria1.user')">User</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'user.login'"></jhi-sort-indicator>
            </th>
            <th scope="row"></th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="fisiometria1 in fisiometria1s" :key="fisiometria1.id" data-cy="entityTable">
            <td>
              <router-link :to="{ name: 'Fisiometria1View', params: { fisiometria1Id: fisiometria1.id } }">{{
                fisiometria1.id
              }}</router-link>
            </td>
            <td>{{ fisiometria1.ritmoCardiaco }}</td>
            <td>{{ fisiometria1.ritmoRespiratorio }}</td>
            <td>{{ fisiometria1.oximetria }}</td>
            <td>{{ fisiometria1.presionArterialSistolica }}</td>
            <td>{{ fisiometria1.presionArterialDiastolica }}</td>
            <td>{{ fisiometria1.temperatura }}</td>
            <td>{{ fisiometria1.fechaRegistro ? $d(Date.parse(fisiometria1.fechaRegistro), 'short') : '' }}</td>
            <td>{{ fisiometria1.fechaToma ? $d(Date.parse(fisiometria1.fechaToma), 'short') : '' }}</td>
            <td>
              {{ fisiometria1.user ? fisiometria1.user.login : '' }}
            </td>
            <td class="text-right">
              <div class="btn-group">
                <router-link :to="{ name: 'Fisiometria1View', params: { fisiometria1Id: fisiometria1.id } }" custom v-slot="{ navigate }">
                  <button @click="navigate" class="btn btn-info btn-sm details" data-cy="entityDetailsButton">
                    <font-awesome-icon icon="eye"></font-awesome-icon>
                    <span class="d-none d-md-inline" v-text="$t('entity.action.view')">View</span>
                  </button>
                </router-link>
                <router-link :to="{ name: 'Fisiometria1Edit', params: { fisiometria1Id: fisiometria1.id } }" custom v-slot="{ navigate }">
                  <button @click="navigate" class="btn btn-primary btn-sm edit" data-cy="entityEditButton">
                    <font-awesome-icon icon="pencil-alt"></font-awesome-icon>
                    <span class="d-none d-md-inline" v-text="$t('entity.action.edit')">Edit</span>
                  </button>
                </router-link>
                <b-button
                  v-on:click="prepareRemove(fisiometria1)"
                  variant="danger"
                  class="btn btn-sm"
                  data-cy="entityDeleteButton"
                  v-b-modal.removeEntity
                >
                  <font-awesome-icon icon="times"></font-awesome-icon>
                  <span class="d-none d-md-inline" v-text="$t('entity.action.delete')">Delete</span>
                </b-button>
              </div>
            </td>
          </tr>
        </tbody>
        <infinite-loading
          ref="infiniteLoading"
          v-if="totalItems > itemsPerPage"
          :identifier="infiniteId"
          slot="append"
          @infinite="loadMore"
          force-use-infinite-wrapper=".el-table__body-wrapper"
          :distance="20"
        >
        </infinite-loading>
      </table>
    </div>
    <b-modal ref="removeEntity" id="removeEntity">
      <span slot="modal-title"
        ><span
          id="gatewayApp.manillaFisiometria1.delete.question"
          data-cy="fisiometria1DeleteDialogHeading"
          v-text="$t('entity.delete.title')"
          >Confirm delete operation</span
        ></span
      >
      <div class="modal-body">
        <p id="jhi-delete-fisiometria1-heading" v-text="$t('gatewayApp.manillaFisiometria1.delete.question', { id: removeId })">
          Are you sure you want to delete this Fisiometria 1?
        </p>
      </div>
      <div slot="modal-footer">
        <button type="button" class="btn btn-secondary" v-text="$t('entity.action.cancel')" v-on:click="closeDialog()">Cancel</button>
        <button
          type="button"
          class="btn btn-primary"
          id="jhi-confirm-delete-fisiometria1"
          data-cy="entityConfirmDeleteButton"
          v-text="$t('entity.action.delete')"
          v-on:click="removeFisiometria1()"
        >
          Delete
        </button>
      </div>
    </b-modal>
  </div>
</template>

<script lang="ts" src="./fisiometria-1.component.ts"></script>
